using ImGuiNET;

namespace Screenie.Util;

internal static class ImGuiHelper {
    internal static OnDispose? WithDisabled(bool disabled) {
        if (disabled) {
            ImGui.BeginDisabled();
            return new OnDispose(ImGui.EndDisabled);
        }

        return null;
    }
}